/ / Django 1.5: Python 2.7 або Python 3 - django, python-2.7, python-3.x

Django 1.5: Python 2.7 або Python 3 - django, python-2.7, python-3.x

Джанго просто випустить свою версію 1,5.

Тепер він підтримує Python 3, моє запитання доситьнасправді просто: з цією версією 1,5, чи слід використовувати Python 2.7 або Python 3? Я припускаю, що з Python 3 з'являться деякі проблеми з додатком сторонніх розробників немає?

У твоїй справі, що б ви робили?

Відповіді:

5 за відповідь № 1

У примітках до випуску зазначено, що Python 3 підтримує 1,5 експериментальний. І так, сторонні програми будуть проблемою.


0 для відповіді № 2

Якби я почав нову розробку, яку яНе очікувалося, що він буде жити до тих пір, поки не буде випущено версію 1.6 (коли підтримка Python 3 повинна бути готова до виробництва, і, сподіваюсь, сторонні додатки наздогнали), тоді так, я б пішов з Python 3. Це значно чистого, ніж Python 2.7.

Але якщо ви хочете, щоб ваш сайт запустився найближчим часом, дотримуйтесь 2.7.


0 для відповіді № 3

Я б все ще використовував python 2.7, тому що багато додатків і бібліотек не готові до python 3.x

PIL працює неправильно з python 3